> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a group



## OpenAPI

````yaml post /groups
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /groups:
    post:
      summary: Create a group
      operationId: create-a-group
      parameters:
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                identifier:
                  type: string
                  description: >-
                    Specifies a group's unique ID. Maximum length is 80
                    characters.  * Don't use personally identifiable information
                    (PII) such as the user's email address, legal name, or phone
                    number. Identifier cannot be changed after creation. Leave
                    the identifier param empty to have Joyfill auto generate an
                    identifier.
                title:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "identifer": "String",
                      "title": "String"
                    }
              schema:
                type: object
                properties:
                  identifer:
                    type: string
                    example: String
                  title:
                    type: string
                    example: String
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Not Found"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````